This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 239162 - (perl-Net-Packet) Review Request: perl-Net-Packet - A framework to easily send and receive frames from layer 2 to la yer 7
Review Request: perl-Net-Packet - A framework to easily send and receive fram...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Package Reviews List
:
Depends On: perl-Net-Write perl-Net-Libdnet perl-Net-IPv6Addr
Blocks: perl-Net-SinFP
  Show dependency treegraph
 
Reported: 2007-05-05 09:32 EDT by Sindre Pedersen Bjørdal
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-26 03:14:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
tibbs: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Sindre Pedersen Bjørdal 2007-05-05 09:32:42 EDT
Spec URL: http://folk.ntnu.no/sindrb/packages/green_nyc/perl-Net-Packet.spec
SRPM URL: http://folk.ntnu.no/sindrb/packages/green_nyc/perl-Net-Packet-3.25-1.fc7.src.rpm

Description:
perl-Net-Packet is a unified framework to craft, send and receive packets at
layers 2, 3, 4 and 7.
Comment 1 Jason Tibbitts 2007-06-04 01:12:54 EDT
You need to add build dependencies on perl(ExtUtils::MakeMaker), perl(Test),
perl(Test::Pod::Coverage) and perl(Test::Pod).  This will give you additional
test coverage and will keep things building once the perl/perl-devel split is
complete.

* source files match upstream:
   a673b790fea0bb50d55063b6ca90233b7527f9263a7fa51bd4c43d16b32373c3  
   Net-Packet-3.25.tar.gz
* package meets naming and versioning guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* summary is OK.
* description is OK.
* dist tag is present.
* build root is OK.
* license field matches the actual license.
* license is open source-compatible.
* license text included in package.
* latest version is being packaged.
X BuildRequires are proper.
* %clean is present.
* package builds in mock (development, x86_64).
* package installs properly
* rpmlint is silent.
* final provides and requires are sane:
   perl(Net::Packet) = 3.25
   perl(Net::Packet::ARP)
   perl(Net::Packet::CDP)
   perl(Net::Packet::CDP::Address)
   perl(Net::Packet::CDP::Type)
   perl(Net::Packet::CDP::TypeAddresses)
   perl(Net::Packet::CDP::TypeCapabilities)
   perl(Net::Packet::CDP::TypeDeviceId)
   perl(Net::Packet::CDP::TypePortId)
   perl(Net::Packet::CDP::TypeSoftwareVersion)
   perl(Net::Packet::Consts)
   perl(Net::Packet::Desc)
   perl(Net::Packet::DescL2)
   perl(Net::Packet::DescL3)
   perl(Net::Packet::DescL4)
   perl(Net::Packet::Dump)
   perl(Net::Packet::ETH)
   perl(Net::Packet::Env)
   perl(Net::Packet::Frame)
   perl(Net::Packet::ICMPv4)
   perl(Net::Packet::IGMPv4)
   perl(Net::Packet::IPv4)
   perl(Net::Packet::IPv6)
   perl(Net::Packet::LLC)
   perl(Net::Packet::Layer)
   perl(Net::Packet::Layer2)
   perl(Net::Packet::Layer3)
   perl(Net::Packet::Layer4)
   perl(Net::Packet::Layer7)
   perl(Net::Packet::NULL)
   perl(Net::Packet::OSPF)
   perl(Net::Packet::PPP)
   perl(Net::Packet::PPPLCP)
   perl(Net::Packet::PPPoE)
   perl(Net::Packet::RAW)
   perl(Net::Packet::SLL)
   perl(Net::Packet::STP)
   perl(Net::Packet::TCP)
   perl(Net::Packet::UDP)
   perl(Net::Packet::Utils)
   perl(Net::Packet::VLAN)
   perl-Net-Packet = 3.25-1.fc8
  =
   perl(:MODULE_COMPAT_5.8.8)
   perl(Bit::Vector)
   perl(Carp)
   perl(Class::Gomor::Array)
   perl(Data::Dumper)
   perl(Exporter)
   perl(Net::IPv4Addr)
   perl(Net::IPv6Addr)
   perl(Net::Libdnet)
   perl(Net::Packet::ARP)
   perl(Net::Packet::CDP)
   perl(Net::Packet::CDP::Address)
   perl(Net::Packet::CDP::Type)
   perl(Net::Packet::CDP::TypeAddresses)
   perl(Net::Packet::CDP::TypeCapabilities)
   perl(Net::Packet::CDP::TypeDeviceId)
   perl(Net::Packet::CDP::TypePortId)
   perl(Net::Packet::CDP::TypeSoftwareVersion)
   perl(Net::Packet::Consts)
   perl(Net::Packet::Desc)
   perl(Net::Packet::DescL2)
   perl(Net::Packet::DescL3)
   perl(Net::Packet::DescL4)
   perl(Net::Packet::Dump)
   perl(Net::Packet::ETH)
   perl(Net::Packet::Env)
   perl(Net::Packet::Frame)
   perl(Net::Packet::ICMPv4)
   perl(Net::Packet::IGMPv4)
   perl(Net::Packet::IPv4)
   perl(Net::Packet::IPv6)
   perl(Net::Packet::LLC)
   perl(Net::Packet::Layer)
   perl(Net::Packet::Layer2)
   perl(Net::Packet::Layer3)
   perl(Net::Packet::Layer4)
   perl(Net::Packet::Layer7)
   perl(Net::Packet::NULL)
   perl(Net::Packet::OSPF)
   perl(Net::Packet::PPP)
   perl(Net::Packet::PPPLCP)
   perl(Net::Packet::PPPoE)
   perl(Net::Packet::RAW)
   perl(Net::Packet::SLL)
   perl(Net::Packet::STP)
   perl(Net::Packet::TCP)
   perl(Net::Packet::UDP)
   perl(Net::Packet::Utils)
   perl(Net::Packet::VLAN)
   perl(Net::Pcap)
   perl(Net::Write::Layer2)
   perl(Net::Write::Layer4)
   perl(Socket)
   perl(Socket6)
   perl(Storable)
   perl(Time::HiRes)
   perl(constant)
   perl(strict)
   perl(warnings)
X %check is present.  Many tests are necessarily skipped because they need the 
  network.  Some tests are skipped due to missing dependencies.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* no scriptlets present.
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
Comment 3 Jason Tibbitts 2007-06-10 00:55:06 EDT
Somehow I missed your comment.  Sorry about that; too many reviews in flight, I
guess.

Looks like a typo in the release number of your last changelog entry (3.25-1 ->
2.35-2), which annoys rpmlint.

The remaining runnable tests run fine; the others need access and cannot be
usefully run in mock:
   All tests successful, 27 subtests skipped.
   Files=31, Tests=104,  5 wallclock secs ( 3.84 cusr +  0.99 csys =  4.83 CPU)

Just fix up that changelog entry when you check in.

APPROVED
Comment 4 Sindre Pedersen Bjørdal 2007-06-10 05:46:00 EDT
New Package CVS Request
=======================
Package Name: perl-Net-Packet
Short Description: A framework to easily send and receive frames from layer 2 to
layer 7
Owners: foolish@guezz.net 
Branches: F-7 FC-6 EL-4 EL-5
Comment 5 Kevin Fenzi 2007-06-10 23:30:23 EDT
cvs done. 
Comment 6 Jason Tibbitts 2007-06-26 18:24:32 EDT
Any reason this hasn't been imported yet?
Comment 7 Sindre Pedersen Bjørdal 2007-07-15 08:04:44 EDT
No reason besides me forgetting about it, imported now, waiting for some BRs to
get into updates before building for F-7. 
Comment 8 Jason Tibbitts 2007-08-25 13:10:45 EDT
Are those dependencies in the repo now?  Any chance this ticket can ever be closed?

Note You need to log in before you can comment on or make changes to this bug.